﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NModel.Conformance;

namespace Orchard.Test
{
    public class Site : Stepper
    {
        public Site()
        {
            modelUserToRealUser = new Dictionary<string, string>();
            modelUserToRealUser.Add("Anonymous", TestLibrary.Consts.ContributorUser);
            modelUserToRealUser.Add("Authenticated", TestLibrary.Consts.ModeratorUser);
            modelUserToRealUser.Add("Author", TestLibrary.Consts.AuthorUser);
            modelUserToRealUser.Add("Administrator", TestLibrary.Consts.AdminUserName);

            realUserPassword = new Dictionary<string, string>();
            realUserPassword.Add(TestLibrary.Consts.AdminUserName, TestLibrary.Consts.CommonPassword);
            realUserPassword.Add(TestLibrary.Consts.AuthorUser, TestLibrary.Consts.CommonPassword);
            realUserPassword.Add(TestLibrary.Consts.ContributorUser, TestLibrary.Consts.CommonPassword);
            realUserPassword.Add(TestLibrary.Consts.ModeratorUser, TestLibrary.Consts.CommonPassword);

            wrongPassword = "abcefghi";
        }

        public static IStepper Create()
        {
            var site = new Site();
            return site;
        }
    }
}
